Bug 15927 - Remove use of <tr class="highlight"> for alternating row colors.
Summary: Remove use of <tr class="highlight"> for alternating row colors.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-26 17:15 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15927 - Remove use of <tr class="highlight"> for alternating row colors (37.60 KB, patch)
2016-02-29 14:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 15927 - Remove use of <tr class="highlight"> for alternating row colors (37.74 KB, patch)
2016-03-02 06:49 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 15927 - Remove use of <tr class="highlight"> for alternating row colors (37.81 KB, patch)
2016-03-02 07:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-02-26 17:15:43 UTC
As a follow-up to the changes made in Bug 2889 we should clean up template which have markup like this:

[% IF ( books_loo.toggle ) %]
    <tr class="highlight">
[% ELSE %]
    <tr>
[% END %]

...with the goal of being able to remove the "highlight" class from staff-global.css or re-purpose it for a more specific highlighting task.

staff-global.css line 267, "tbody tr:nth-child(odd) td" should eliminate the need for the highlight class.
Comment 1 Owen Leonard 2016-02-29 14:04:45 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-03-02 06:49:23 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-03-02 07:07:54 UTC
Created attachment 48536 [details] [review]
[PASSED QA] Bug 15927 - Remove use of <tr class="highlight"> for alternating row colors

The "highlight" class on table rows is unnecessary since we have a CSS
rule which defines colors for alternating row colors. This patch removes
use of the "highlight" class from templates and removes the definition
from staff-global.css

To test, view the affected pages and confirm that the change has not
broken anything.

Acquisitions -> Vendor -> View basket
Acquisitions -> Late orders
Acquisitions -> Ordered
Acquisitions -> Vendor -> Receive shipment
Acquisitions -> Spent
Acquisitions -> Vendor details -> Contracts table
Administration -> MARC frameworks (comment removed only)
Administration -> Class sources
Authorities -> Authority search results
Catalog -> Bibliographic detail page -> Items -> View item's checkout
   history
Catalog -> subject.tt (is this template used?)
Cataloging -> Cataloging search results
Patrons -> Patron account
Reports -> Patrons who haven't checked out
Reports -> Statistics wizards -> Patrons
Reports -> Top lists -> Most-circulated items
Reports -> Inactive -> Items with no checkouts
Reports -> Reports dictionary
Reports -> Statistics wizards -> Circulation
Reports -> Statistics wizards -> Holds
Holds -> Place a hold -> Existing holds table
Serials -> New subscription -> Search for a vendor -> Search results
Serials -> Check expiration
Serials -> Subscription -> Serial collection
Serials -> Subscription -> Serial collection -> Edit serials
Suggestions
Tags -> View tags -> View titles with a tag
Tools -> Manage staged MARC records -> Batch (I think the affected
section of this template is obsolete)
Tools -> Log viewer -> Log result
Lists -> View lists (May be broken by Bug 15916)

Note that if you search the templates for instances of a <tr> with a
"highlight" class you'll find two instances in slip templates which
refer to a class defined in printreceiptinvoice.css.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
  Looks good. Haven't seen any regression.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-03-02 22:08:15 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 5 Julian Maurice 2016-03-07 13:13:42 UTC
Patch pushed to 3.22.x, will be in 3.22.5